Tried to update Snapshot from 2.2 to 2.3

Tried to update Snapshot from 2.2 to 2.3 and the Auto Update will not work inside my back office… It is still telling me I need to update this plugin.